device_type: "s32g399a-rdb3"

job_name: "tuxlava@nfs-s32g399a-rdb3: hacking-session"
priority: low
visibility: "public"

context:
    arch: arm64
    booti_dtb_addr: '0x86000000'
    extra_nfsroot_args: ',vers=3'
    extra_kernel_args: 'rootwait earlycon systemd.log_level=warning'

timeouts:
  job:
    minutes: 105
  connection:
    minutes: 2
  actions:
    power-off:
      seconds: 60
    finalize:
      seconds: 60

actions:
- deploy:
    to: tftp
    timeout:
      minutes: 30
    os: debian
    kernel:
      url: "https://storage.tuxsuite.com/public/linaro/dan.carpenter/builds/31e2BRY833ObDqfDU7IcPI8RyBf/Image.gz"
      compression: gz
      type: image
    dtb:
      url: "https://storage.tuxsuite.com/public/linaro/dan.carpenter/builds/31e2BRY833ObDqfDU7IcPI8RyBf/dtbs/freescale/s32g399a-rdb3.dtb"
    nfsrootfs:
      url: "https://storage.tuxboot.com/debian/trixie/arm64/rootfs.tar.xz"
      compression: xz
      format: tar
      overlays:
        modules:
          url: "https://storage.tuxsuite.com/public/linaro/dan.carpenter/builds/31e2BRY833ObDqfDU7IcPI8RyBf/modules.tar.xz"
          path: "/"
          format: tar
          compression: xz
        overlay-00:
          url: "https://storage.tuxboot.com/overlays/debian/trixie/arm64/ltp/ltp-20250130/ltp.tar.xz"
          path: "/"
          format: tar
          compression: xz
- boot:
    method:
      u-boot
    commands: nfs
    timeout:
      minutes: 15
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'

- test:
    definitions:
    - from: inline
      name: setup-networking
      path: inline/health-checks.yaml
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: network-setup
        run:
          steps:
          - ip a || true
          - which dhclient || lava-test-raise "dhclient not found"
          - dhclient
    timeout:
      minutes: 10

- test:
    timeout:
      minutes: 60
    definitions:
    - repository: https://gitlab.com/lava/hacking-session.git
      from: git
      lava-signal: kmsg
      path: hacking-session-tmate.yaml
      parameters:
        PUB_KEY: 'pubkey'
      name: hacking-session
